## linux-6.1 6.1.140

=== debian/changelog ===
linux-6.1 (6.1.140-1~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch:
    - Set ABI to 0.deb9.37

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 29 Jul 2025 09:47:47 +0200

linux-6.1 (6.1.140-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster:
    - Set ABI to 0.deb10.37

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 24 Jul 2025 08:39:47 +0200

linux-6.1 (6.1.140-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye:
    - Set ABI to 0.deb11.37

 -- Ben Hutchings <benh@debian.org>  Mon, 30 Jun 2025 15:32:36 +0200

linux (6.1.140-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.140
    - binfmt: Fix whitespace issues
    - binfmt_elf: Support segments with 0 filesz and misaligned starts
    - binfmt_elf: elf_bss no longer used by load_elf_binary()
    - binfmt_elf: Leave a gap between .bss and brk
    - binfmt_elf: Calculate total_size earlier
    - binfmt_elf: Honor PT_LOAD alignment for static PIE
    - binfmt_elf: Move brk for static PIE even if ASLR disabled
    - [x86] platform/x86: asus-wmi: Fix wlan_ctrl_by_user detection
    - tracing: probes: Fix a possible race in trace_probe_log APIs
    - tpm: tis: Double the timeout B to 4s
    - iio: adc: ad7266: Fix potential timestamp alignment issue.
    - drm/amd: Stop evicting resources on APUs in suspend
    - drm/amdgpu: Fix the runtime resume failure issue
    - drm/amdgpu: trigger flr_work if reading pf2vf data failed
    - drm/amd: Add Suspend/Hibernate notification callback support
    - Revert "drm/amd: Stop evicting resources on APUs in suspend"
    - iio: adc: ad7768-1: Fix insufficient alignment of timestamp.
    - clocksource/i8253: Use raw_spinlock_irqsave() in
      clockevent_i8253_disable()
    - RDMA/rxe: Fix slab-use-after-free Read in rxe_queue_cleanup bug
    - HID: thrustmaster: fix memory leak in thrustmaster_interrupts()
    - HID: uclogic: Add NULL check in uclogic_input_configured()
    - nfs: handle failure of nfs_get_lock_context in unlock path
    - net_sched: Flush gso_skb list too during ->change()
    - net: mctp: Ensure keys maintain only one ref to corresponding dev
    - [arm64] net: cadence: macb: Fix a possible deadlock in macb_halt_tx.
    - nvme-pci: make nvme_pci_npages_prp() __always_inline
    - nvme-pci: acquire cq_poll_lock in nvme_poll_irqdisable
    - ALSA: sh: SND_AICA should depend on SH_DMA_API
    - net/mlx5e: Disable MACsec offload for uplink representor profile
    - qlcnic: fix memory leak in qlcnic_sriov_channel_cfg_cmd()
    - net/tls: fix kernel panic when alloc_page failed
    - NFSv4/pnfs: Reset the layout state after a layoutreturn
    - dmaengine: Revert "dmaengine: dmatest: Fix dmatest waiting less when
      interrupted"
    - btrfs: fix discard worker infinite loop after disabling discard
    - drm/amd/display: Correct the reply value when AUX write incomplete
    - drm/amd/display: Avoid flooding unnecessary info messages
    - ACPI: PPTT: Fix processor subtable walk
    - ALSA: es1968: Add error handling for snd_pcm_hw_constraint_pow2()
    - ALSA: usb-audio: Add sample rate quirk for Audioengine D1
    - ALSA: usb-audio: Add sample rate quirk for Microdia JP001 USB Camera
    - dma-buf: insert memory barrier before updating num_fences
    - hv_netvsc: Use vmbus_sendpacket_mpb_desc() to send VMBus messages
    - hv_netvsc: Preserve contiguous PFN grouping in the page buffer array
    - hv_netvsc: Remove rmsg_pgcnt
    - Drivers: hv: Allow vmbus_sendpacket_mpb_desc() to create multiple ranges
    - Drivers: hv: vmbus: Remove vmbus_sendpacket_pagebuffer()
    - ftrace: Fix preemption accounting for stacktrace trigger command
    - ftrace: Fix preemption accounting for stacktrace filter command
    - tracing: samples: Initialize trace_array_printk() with the correct
      function
    - [arm64,armhf] phy: Fix error handling in tegra_xusb_port_init
    - [arm64] phy: renesas: rcar-gen3-usb2: Fix role detection on unbind/bind
    - [arm64] phy: renesas: rcar-gen3-usb2: Set timing registers only once
    - scsi: sd_zbc: block: Respect bio vector limits for REPORT ZONES buffer
    - smb: client: fix memory leak during error handling for POSIX mkdir
    - wifi: mt76: disable napi on driver removal
    - net: qede: Initialize qede_ll_ops with designated initializer
    - [arm64] dmaengine: ti: k3-udma: Add missing locking
    - [arm64] dmaengine: ti: k3-udma: Use cap_mask directly from dma_device
      structure instead of a local copy
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_wqs
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_engines
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_setup_groups
    - [amd64] dmaengine: idxd: Add missing cleanup for early error out in
      idxd_setup_internals
    - [amd64] dmaengine: idxd: Add missing cleanups in cleanup internals
    - [amd64] dmaengine: idxd: Add missing idxd cleanup to fix memory leak in
      remove call
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_alloc
    - [amd64] dmaengine: idxd: fix memory leak in error handling path of
      idxd_pci_probe
    - usb: typec: ucsi: displayport: Fix deadlock (CVE-2025-37967)
    - usb: typec: altmodes/displayport: create sysfs nodes as driver's default
      device attribute group (CVE-2024-35790)
    - usb: typec: fix potential array underflow in ucsi_ccg_sync_control()
      (CVE-2024-53203)
    - usb: typec: fix pm usage counter imbalance in ucsi_ccg_sync_control()
    - mm/vmscan: fix a bug calling wakeup_kswapd() with a wrong zone index
    - [arm64] bpf, arm64: Fix trampoline for BPF_TRAMP_F_CALL_ORIG
      (CVE-2024-43840)
    - [arm64] bpf, arm64: Fix address emission with tag-based KASAN enabled
    - hwpoison, memory_hotplug: lock folio before unmap hwpoisoned folio


=== debian/control ===
Source: linux-6.1
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:native, python3-jinja2, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, liblz4-tool [amd64 arm64] <!pkg.linux.nokernel !stage1>, gcc-6 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-6-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-6 (>= 6.3.0-18+deb9u1~) [amd64 i386] <!cross !pkg.linux.nokernel !stage1>, gcc-6-x86-64-linux-gnu (>= 6.3.0-18+deb9u1~) [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-6-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-6-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-6-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-6-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-6-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-6-i686-linux-gnu (>= 6.3.0-18+deb9u1~) [i386] <cross !pkg.linux.nokernel !stage1>, gcc-6-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-6-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-6-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-6-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-6-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-6-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-0.deb9.37
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-headers-6.1.0-0.deb9.37-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb9.37
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb9.37, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-0.deb9.37-(flavour) package, matching the flavour of
 the kernel you intend the build for.

Package: linux-headers-6.1.0-0.deb9.37-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb9.37-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb9.37 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-6.1.0-0.deb9.37-(flavour)
 package, matching the flavour of the kernel you intend the build for.

Package: linux-config-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.nosource !stage1>
Depends: ${misc:Depends}
Recommends: linux-source-6.1
Multi-Arch: same
Description: Debian kernel configurations for Linux 6.1
 This package contains the configuration files used to build the official
 Debian kernel files, but without references to Debian's signing
 certificates.
 .
 These can be used as a basis for configuring custom kernels.

Package: linux-kbuild-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Kbuild infrastructure for Linux 6.1
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 6.1.

Package: linux-bootwrapper-6.1.0-0.deb9.37
Architecture: powerpc ppc64
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Boot wrapper tools for Linux 6.1 on PowerPC
 This package provides the 'wrapper' script and related tools needed to
 process the Linux kernel image for use with some PowerPC platforms.

Package: linux-headers-6.1.0-0.deb9.37-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.37-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
Description: Header files for Linux 6.1.0-0.deb9.37-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb9.37-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb9.37-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb9.37-alpha-generic package.

Package: linux-image-6.1.0-0.deb9.37-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.37 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, apparmor [alpha]
Suggests: linux-doc-6.1, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: wireless-regdb (<< 2019.06.03-1~) [alpha], initramfs-tools (<< 0.120+deb8u2)
Description: Linux 6.1 for Alpha
 The Linux kernel 6.1 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-image-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-modules-6.1.0-0.deb9.37-alpha-generic, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
Depends: linux-image-6.1.0-0.deb9.37-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Linux for Alpha (meta-package)
 This package depends on the latest Linux kernel and modules for use on DEC
 Alpha systems with extended kernel start address (Wildfire, Titan,
 Marvel).

Package: linux-headers-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.37-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux alpha-generic configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel alpha-generic configuration.

Package: linux-image-6.1.0-0.deb9.37-alpha-generic-dbg
Architecture: alpha
Section: debug
Priority: optional
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Description: Debug symbols for linux-image-6.1.0-0.deb9.37-alpha-generic
 This package provides the detached debug symbols for the Linux kernel and
 modules in linux-image-6.1.0-0.deb9.37-alpha-generic.

Package: linux-image-6.1-alpha-generic-dbg
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-image-dbg
Depends: linux-image-6.1.0-0.deb9.37-alpha-generic-dbg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Linux alpha-generic configuration (meta-package)
 This package depends on the detached debugging symbols for the latest
 Linux kernel alpha-generic configuration.

Package: linux-headers-6.1.0-0.deb9.37-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.37-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
Description: Header files for Linux 6.1.0-0.deb9.37-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb9.37-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb9.37-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb9.37-alpha-smp package.

Package: linux-image-6.1.0-0.deb9.37-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.37 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, apparmor [alpha]

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine, skip-not-installable
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, autopkgtest-reboot, linux-image-6.1.0-0.deb9.37-alpha-generic [alpha], linux-image-6.1.0-0.deb9.37-alpha-smp [alpha], linux-image-6.1.0-0.deb9.37-amd64 [amd64], linux-image-6.1.0-0.deb9.37-cloud-amd64 [amd64], linux-image-6.1.0-0.deb9.37-rt-amd64 [amd64], linux-image-6.1.0-0.deb9.37-arm64 [arm64], linux-image-6.1.0-0.deb9.37-cloud-arm64 [arm64], linux-image-6.1.0-0.deb9.37-rt-arm64 [arm64], linux-image-6.1.0-0.deb9.37-marvell [armel], linux-image-6.1.0-0.deb9.37-rpi [armel], linux-image-6.1.0-0.deb9.37-armmp [armhf], linux-image-6.1.0-0.deb9.37-armmp-lpae [armhf], linux-image-6.1.0-0.deb9.37-rt-armmp [armhf], linux-image-6.1.0-0.deb9.37-parisc [hppa], linux-image-6.1.0-0.deb9.37-parisc64 [hppa], linux-image-6.1.0-0.deb9.37-686 [i386], linux-image-6.1.0-0.deb9.37-686-pae [i386], linux-image-6.1.0-0.deb9.37-rt-686-pae [i386], linux-image-6.1.0-0.deb9.37-itanium [ia64], linux-image-6.1.0-0.deb9.37-mckinley [ia64], linux-image-6.1.0-0.deb9.37-m68k [m68k], linux-image-6.1.0-0.deb9.37-4kc-malta [mips mipsel], linux-image-6.1.0-0.deb9.37-mips32r2eb [mips], linux-image-6.1.0-0.deb9.37-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-0.deb9.37-5kc-malta [mips64 mips64el], linux-image-6.1.0-0.deb9.37-mips64r2eb [mips64], linux-image-6.1.0-0.deb9.37-mips64r2el [mips64el], linux-image-6.1.0-0.deb9.37-loongson-3 [mips64el mipsel], linux-image-6.1.0-0.deb9.37-mips64r6eb [mips64r6], linux-image-6.1.0-0.deb9.37-mips64r6el [mips64r6el], linux-image-6.1.0-0.deb9.37-mips32r2el [mipsel], linux-image-6.1.0-0.deb9.37-mips32r6eb [mipsr6], linux-image-6.1.0-0.deb9.37-mips32r6el [mipsr6el], linux-image-6.1.0-0.deb9.37-powerpc [powerpc], linux-image-6.1.0-0.deb9.37-powerpc-smp [powerpc], linux-image-6.1.0-0.deb9.37-powerpc64 [powerpc ppc64], linux-image-6.1.0-0.deb9.37-powerpc64le [ppc64el], linux-image-6.1.0-0.deb9.37-riscv64 [riscv64], linux-image-6.1.0-0.deb9.37-s390x [s390x], linux-image-6.1.0-0.deb9.37-sh7751r [sh4], linux-image-6.1.0-0.deb9.37-sh7785lcr [sh4], linux-image-6.1.0-0.deb9.37-sparc64 [sparc64], linux-image-6.1.0-0.deb9.37-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial

## linux-6.1 6.1.147

=== drivers/phy/qualcomm/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CONFIG_PHY_ATH79_USB)		+= phy-ath79-usb.o
obj-$(CONFIG_PHY_QCOM_APQ8064_SATA)	+= phy-qcom-apq8064-sata.o
obj-$(CONFIG_PHY_QCOM_EDP)		+= phy-qcom-edp.o
obj-$(CONFIG_PHY_QCOM_IPQ4019_USB)	+= phy-qcom-ipq4019-usb.o
obj-$(CONFIG_PHY_QCOM_IPQ806X_SATA)	+= phy-qcom-ipq806x-sata.o
obj-$(CONFIG_PHY_QCOM_PCIE2)		+= phy-qcom-pcie2.o
obj-$(CONFIG_PHY_QCOM_QMP)		+= \
	phy-qcom-qmp-combo.o \
	phy-qcom-qmp-pcie.o \
	phy-qcom-qmp-pcie-msm8996.o \
	phy-qcom-qmp-ufs.o \
	phy-qcom-qmp-usb.o

obj-$(CONFIG_PHY_QCOM_QUSB2)		+= phy-qcom-qusb2.o
obj-$(CONFIG_PHY_QCOM_USB_HS) 		+= phy-qcom-usb-hs.o
obj-$(CONFIG_PHY_QCOM_USB_HSIC) 	+= phy-qcom-usb-hsic.o
obj-$(CONFIG_PHY_QCOM_USB_HS_28NM)	+= phy-qcom-usb-hs-28nm.o
obj-$(CONFIG_PHY_QCOM_USB_SS)		+= phy-qcom-usb-ss.o
obj-$(CONFIG_PHY_QCOM_USB_SNPS_FEMTO_V2)+= phy-qcom-snps-femto-v2.o
obj-$(CONFIG_PHY_QCOM_IPQ806X_USB)		+= phy-qcom-ipq806x-usb.o

=== debian/changelog ===
linux-6.1 (6.1.147-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye:
    - Set ABI to 0.deb11.38

 -- Ben Hutchings <benh@debian.org>  Wed, 13 Aug 2025 00:22:09 +0200

linux (6.1.147-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.141
    - [arm64,armhf] gpio: pca953x: Add missing header(s)
    - [arm64,armhf] gpio: pca953x: Split pca953x_restore_context() and
      pca953x_save_context()
    - [arm64,armhf] gpio: pca953x: Simplify code with cleanup helpers
    - [arm64,armhf] gpio: pca953x: fix IRQ storm on system wake up
    - [arm64] phy: renesas: rcar-gen3-usb2: Add support to initialize the bus
    - [arm64] phy: renesas: rcar-gen3-usb2: Move IRQ request in probe
    - [arm64] phy: renesas: rcar-gen3-usb2: Lock around hardware registers and
      driver data
    - [arm64] phy: renesas: rcar-gen3-usb2: Assert PLL reset on PHY power off
    - scsi: target: iscsi: Fix timeout on deleted connection
    - virtio_ring: Fix data race by tagging event_triggered as racy for KCSAN
    - dma-mapping: avoid potential unused data compilation warning
    - cgroup: Fix compilation issue due to cgroup_mutex not being exported
    - scsi: mpi3mr: Add level check to control event logging
    - [arm64] net: enetc: refactor bulk flipping of RX buffers to separate
      function
    - drm/amdgpu: Allow P2P access through XGMI
    - bpf: fix possible endless loop in BPF map iteration
    - kconfig: merge_config: use an empty file as initfile
    - [s390x] vfio-ap: Fix no AP queue sharing allowed message written to kernel
      log
    - cifs: Add fallback for SMB2 CREATE without FILE_READ_ATTRIBUTES
    - cifs: Fix querying and creating MF symlinks over SMB1
    - cifs: Fix negotiate retry functionality
    - fuse: Return EPERM rather than ENOSYS from link()
    - NFSv4: Check for delegation validity in
      nfs_start_delegation_return_locked()
    - NFS: Don't allow waiting for exiting tasks
    - SUNRPC: Don't allow waiting for exiting tasks
    - [arm64] Add support for HIP09 Spectre-BHB mitigation
    - tracing: Mark binary printing functions with __printf() attribute
    - mailbox: use error ret code of of_parse_phandle_with_args()
    - fbdev: fsl-diu-fb: add missing device_remove_file()
    - fbcon: Use correct erase colour for clearing in fbcon
    - fbdev: core: tileblit: Implement missing margin clearing for tileblit
    - cifs: Fix establishing NetBIOS session for SMB2+ connection
    - NFSv4: Treat ENETUNREACH errors as fatal for state recovery
    - SUNRPC: rpc_clnt_set_transport() must not change the autobind setting
    - SUNRPC: rpcbind should never reset the port to the value '0'
    - [arm64] thermal/drivers/qoriq: Power down TMU on system suspend
    - dql: Fix dql->limit value when reset.
    - lockdep: Fix wait context check on softirq for PREEMPT_RT
    - objtool: Properly disable uaccess validation
    - pNFS/flexfiles: Report ENETDOWN as a connection error
    - [amd64] PCI: vmd: Disable MSI remapping bypass under Xen
    - libnvdimm/labels: Fix divide error in nd_label_data_init()
    - mmc: host: Wait for Vdd to settle on card power off
    - [x86] mm: Check return value from memblock_phys_alloc_range()
    - [arm64] i2c: qup: Vote for interconnect bandwidth to DRAM
    - i2c: pxa: fix call balance of i2c->clk handling routines
    - btrfs: make btrfs_discard_workfn() block_group ref explicit
    - btrfs: avoid linker error in btrfs_find_create_tree_block()
    - btrfs: run btrfs_error_commit_super() early
    - btrfs: fix non-empty delayed iputs list on unmount due to async workers
    - btrfs: get zone unusable bytes while holding lock at
      btrfs_reclaim_bgs_work()
    - btrfs: send: return -ENAMETOOLONG when attempting a path that is too long
    - drm/amd/display: Guard against setting dispclk low for dcn31x
    - dlm: make tcp still work in multi-link env
    - ext4: reorder capability check last
    - scsi: st: Tighten the page format heuristics with MODE SELECT
    - scsi: st: ERASE does not change tape location
    - vfio/pci: Handle INTx IRQ_NOTCONNECTED
    - bpf: Return prog btf_id without capable check
    - tcp: reorganize tcp_in_ack_event() and tcp_count_delivered()
    - rtc: rv3032: fix EERD location
    - [x86] thunderbolt: Do not add non-active NVM if NVM upgrade is disabled
      for retimer
    - kbuild: fix argument parsing in scripts/config
    - dm: restrict dm device size to 2^63-512 bytes
    - net/smc: use the correct ndev to find pnetid by pnetid table
    - xen: Add support for XenServer 6.1 platform device
    - [arm64,armhf] pinctrl-tegra: Restore SFSEL bit when freeing pins
    - [armhf] ASoC: sun4i-codec: support hp-det-gpios property
    - ext4: reject the 'data_err=abort' option in nojournal mode
    - RDMA/uverbs: Propagate errors from rdma_lookup_get_uobject()
    - posix-timers: Add cond_resched() to posix_timer_add() search loop
    - timer_list: Don't use %pK through printk()
    - netfilter: conntrack: Bound nf_conntrack sysctl writes
    - [arm64] mm: Check PUD_TYPE_TABLE in pud_bad()
    - [armhf] mmc: dw_mmc: add exynos7870 DW MMC support
    - mmc: sdhci: Disable SD card clock before changing parameters
    - [x86] hwmon: (dell-smm) Increment the number of fans
    - ipv6: save dontfrag in cork
    - drm/amd/display: calculate the remain segments for all pipes
    - gfs2: Check for empty queue in run_queue
    - auxdisplay: charlcd: Partially revert "Move hwidth and bwidth to struct
      hd44780_common"
    - [amd64] iommu/amd/pgtbl_v2: Improve error handling
    - crypto: lzo - Fix compression buffer overrun
    - [arm64] tegra: p2597: Fix gpio for vdd-1v8-dis regulator
    - [powerpc*] prom_init: Fixup missing #size-cells on PowerBook6,7
    - ALSA: seq: Improve data consistency at polling
    - tcp: bring back NUMA dispersion in inet_ehash_locks_alloc()
    - rtc: ds1307: stop disabling alarms on probe


=== debian/control ===
Source: linux-6.1
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:native, python3-jinja2:native, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, lz4 [amd64 arm64] <!pkg.linux.nokernel !stage1>, dwarves:native (>= 1.16~) <!pkg.linux.nokernel !stage1>, gcc-10 [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-10-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-10-x86-64-linux-gnu [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-10-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-10-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-10-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-10-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-10-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-10-i686-linux-gnu [i386] <cross !pkg.linux.nokernel !stage1>, gcc-10-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-10-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-10-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-10-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-10-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-10-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-0.deb11.38
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-headers-6.1.0-0.deb11.38-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb11.38
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb11.38, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-0.deb11.38-(flavour) package, matching the flavour of
 the kernel you intend the build for.

Package: linux-headers-6.1.0-0.deb11.38-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb11.38-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb11.38 with the PREEMPT_RT featureset, generally used
 for building out-of-tree kernel modules.  To obtain a complete set of
 headers you also need to install the
 linux-headers-6.1.0-0.deb11.38-(flavour) package, matching the flavour of
 the kernel you intend the build for.

Package: linux-config-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.nosource !stage1>
Depends: ${misc:Depends}
Recommends: linux-source-6.1
Multi-Arch: same
Description: Debian kernel configurations for Linux 6.1
 This package contains the configuration files used to build the official
 Debian kernel files, but without references to Debian's signing
 certificates.
 .
 These can be used as a basis for configuring custom kernels.

Package: linux-kbuild-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Kbuild infrastructure for Linux 6.1
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 6.1.

Package: linux-bootwrapper-6.1.0-0.deb11.38
Architecture: powerpc ppc64
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Boot wrapper tools for Linux 6.1 on PowerPC
 This package provides the 'wrapper' script and related tools needed to
 process the Linux kernel image for use with some PowerPC platforms.

Package: linux-headers-6.1.0-0.deb11.38-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb11.38-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-10
Description: Header files for Linux 6.1.0-0.deb11.38-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb11.38-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb11.38-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb11.38-alpha-generic package.

Package: linux-image-6.1.0-0.deb11.38-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb11.38 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, apparmor [alpha]
Suggests: linux-doc-6.1, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: fwupdate (<< 12-7) [alpha], wireless-regdb (<< 2019.06.03-1~) [alpha], initramfs-tools (<< 0.120+deb8u2)
Description: Linux 6.1 for Alpha
 The Linux kernel 6.1 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-image-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-modules-6.1.0-0.deb11.38-alpha-generic, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
Depends: linux-image-6.1.0-0.deb11.38-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Linux for Alpha (meta-package)
 This package depends on the latest Linux kernel and modules for use on DEC
 Alpha systems with extended kernel start address (Wildfire, Titan,
 Marvel).

Package: linux-headers-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb11.38-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux alpha-generic configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel alpha-generic configuration.

Package: linux-image-6.1.0-0.deb11.38-alpha-generic-dbg
Architecture: alpha
Section: debug
Priority: optional
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Description: Debug symbols for linux-image-6.1.0-0.deb11.38-alpha-generic
 This package provides the detached debug symbols for the Linux kernel and
 modules in linux-image-6.1.0-0.deb11.38-alpha-generic.

Package: linux-image-6.1-alpha-generic-dbg
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-image-dbg
Depends: linux-image-6.1.0-0.deb11.38-alpha-generic-dbg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Linux alpha-generic configuration (meta-package)
 This package depends on the detached debugging symbols for the latest
 Linux kernel alpha-generic configuration.

Package: linux-headers-6.1.0-0.deb11.38-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb11.38-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-10
Description: Header files for Linux 6.1.0-0.deb11.38-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb11.38-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb11.38-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb11.38-alpha-smp package.

Package: linux-image-6.1.0-0.deb11.38-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb11.38 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-0.deb11.38-alpha-generic [alpha], linux-image-6.1.0-0.deb11.38-alpha-smp [alpha], linux-image-6.1.0-0.deb11.38-amd64-unsigned [amd64], linux-image-6.1.0-0.deb11.38-cloud-amd64-unsigned [amd64], linux-image-6.1.0-0.deb11.38-rt-amd64-unsigned [amd64], linux-image-6.1.0-0.deb11.38-arm64-unsigned [arm64], linux-image-6.1.0-0.deb11.38-cloud-arm64-unsigned [arm64], linux-image-6.1.0-0.deb11.38-rt-arm64-unsigned [arm64], linux-image-6.1.0-0.deb11.38-marvell [armel], linux-image-6.1.0-0.deb11.38-rpi [armel], linux-image-6.1.0-0.deb11.38-armmp [armhf], linux-image-6.1.0-0.deb11.38-armmp-lpae [armhf], linux-image-6.1.0-0.deb11.38-rt-armmp [armhf], linux-image-6.1.0-0.deb11.38-parisc [hppa], linux-image-6.1.0-0.deb11.38-parisc64 [hppa], linux-image-6.1.0-0.deb11.38-686-unsigned [i386], linux-image-6.1.0-0.deb11.38-686-pae-unsigned [i386], linux-image-6.1.0-0.deb11.38-rt-686-pae-unsigned [i386], linux-image-6.1.0-0.deb11.38-itanium [ia64], linux-image-6.1.0-0.deb11.38-mckinley [ia64], linux-image-6.1.0-0.deb11.38-m68k [m68k], linux-image-6.1.0-0.deb11.38-4kc-malta [mips mipsel], linux-image-6.1.0-0.deb11.38-mips32r2eb [mips], linux-image-6.1.0-0.deb11.38-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-0.deb11.38-5kc-malta [mips64 mips64el], linux-image-6.1.0-0.deb11.38-mips64r2eb [mips64], linux-image-6.1.0-0.deb11.38-mips64r2el [mips64el], linux-image-6.1.0-0.deb11.38-loongson-3 [mips64el mipsel], linux-image-6.1.0-0.deb11.38-mips64r6eb [mips64r6], linux-image-6.1.0-0.deb11.38-mips64r6el [mips64r6el], linux-image-6.1.0-0.deb11.38-mips32r2el [mipsel], linux-image-6.1.0-0.deb11.38-mips32r6eb [mipsr6], linux-image-6.1.0-0.deb11.38-mips32r6el [mipsr6el], linux-image-6.1.0-0.deb11.38-powerpc [powerpc], linux-image-6.1.0-0.deb11.38-powerpc-smp [powerpc], linux-image-6.1.0-0.deb11.38-powerpc64 [powerpc ppc64], linux-image-6.1.0-0.deb11.38-powerpc64le [ppc64el], linux-image-6.1.0-0.deb11.38-riscv64 [riscv64], linux-image-6.1.0-0.deb11.38-s390x [s390x], linux-image-6.1.0-0.deb11.38-sh7751r [sh4], linux-image-6.1.0-0.deb11.38-sh7785lcr [sh4], linux-image-6.1.0-0.deb11.38-sparc64 [sparc64], linux-image-6.1.0-0.deb11.38-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
